### Method

# FwupdPlugin Firmware remove_image_by_idx

#### Declaration [src]

    gboolean
    fu_firmware_remove_image_by_idx (
      FuFirmware* self,
      guint64 idx,
      GError** error
    )

#### Description [src]

Removes the first image from the firmware matching the index.

Available since: | 1.5.0

#### Parameters

`idx` | `guint64`
| Index.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if an image was removed.